\tikzstyle{shell}=[draw, rectangle, fill=black, text=white]
\tikzstyle{arrow}=[->, >=latex]
\begin{tikzpicture}
	\node[shell] (sh)at(0,0){sh};
	\node[shell] (csh)at(1,-1.5){csh};
	\node[shell] (bash)at(-1,-3){bash};
	\node[shell] (ksh)at(0,-3){ksh};
	\node[shell] (tcsh)at(1,-3){tcsh};
	\node[shell] (zsh)at(0,-4.5){zsh};
	\draw[arrow] (sh) -- (csh);
	\draw[arrow] (sh) -- (bash);
	\draw[arrow] (sh) -- (ksh);
	\draw[arrow] (csh) -- (tcsh);
	\draw[arrow] (bash) -- (zsh);
	\draw[arrow] (ksh) -- (zsh);
	\draw[arrow] (tcsh) -- (zsh);
\end{tikzpicture}
